<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myDetailKlaimLabel" jhiTranslate="mpmApp.detailKlaim.home.createOrEditLabel">Create or edit a Detail Klaim</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!detailKlaim.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="detailKlaim.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.iduser" for="field_iduser">Iduser</label>
            <input type="text" class="form-control" name="iduser" id="field_iduser"
                [(ngModel)]="detailKlaim.iduser"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.notrans" for="field_notrans">Notrans</label>
            <input type="text" class="form-control" name="notrans" id="field_notrans"
                [(ngModel)]="detailKlaim.notrans"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.bulan_program" for="field_bulan_program">Bulan Program</label>
            <input type="text" class="form-control" name="bulan_program" id="field_bulan_program"
                [(ngModel)]="detailKlaim.bulan_program"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.no_klaim" for="field_no_klaim">No Klaim</label>
            <input type="text" class="form-control" name="no_klaim" id="field_no_klaim"
                [(ngModel)]="detailKlaim.no_klaim"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.cust_code" for="field_cust_code">Cust Code</label>
            <input type="text" class="form-control" name="cust_code" id="field_cust_code"
                [(ngModel)]="detailKlaim.cust_code"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.cust_name" for="field_cust_name">Cust Name</label>
            <input type="text" class="form-control" name="cust_name" id="field_cust_name"
                [(ngModel)]="detailKlaim.cust_name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.keterangan" for="field_keterangan">Keterangan</label>
            <input type="text" class="form-control" name="keterangan" id="field_keterangan"
                [(ngModel)]="detailKlaim.keterangan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.nilai_value" for="field_nilai_value">Nilai Value</label>
            <input type="number" class="form-control" name="nilai_value" id="field_nilai_value"
                [(ngModel)]="detailKlaim.nilai_value"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.nilai_acc" for="field_nilai_acc">Nilai Acc</label>
            <input type="number" class="form-control" name="nilai_acc" id="field_nilai_acc"
                [(ngModel)]="detailKlaim.nilai_acc"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.user_acc" for="field_user_acc">User Acc</label>
            <input type="text" class="form-control" name="user_acc" id="field_user_acc"
                [(ngModel)]="detailKlaim.user_acc"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.tgl_acc" for="field_tgl_acc">Tgl Acc</label>
            <input type="text" class="form-control" name="tgl_acc" id="field_tgl_acc"
                [(ngModel)]="detailKlaim.tgl_acc"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.giro_num" for="field_giro_num">Giro Num</label>
            <input type="text" class="form-control" name="giro_num" id="field_giro_num"
                [(ngModel)]="detailKlaim.giro_num"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.giro_date" for="field_giro_date">Giro Date</label>
            <input type="text" class="form-control" name="giro_date" id="field_giro_date"
                [(ngModel)]="detailKlaim.giro_date"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.giro_val" for="field_giro_val">Giro Val</label>
            <input type="number" class="form-control" name="giro_val" id="field_giro_val"
                [(ngModel)]="detailKlaim.giro_val"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.cust_pnpwp" for="field_cust_pnpwp">Cust Pnpwp</label>
            <input type="text" class="form-control" name="cust_pnpwp" id="field_cust_pnpwp"
                [(ngModel)]="detailKlaim.cust_pnpwp"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.item_code" for="field_item_code">Item Code</label>
            <input type="text" class="form-control" name="item_code" id="field_item_code"
                [(ngModel)]="detailKlaim.item_code"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.qtyitem" for="field_qtyitem">Qtyitem</label>
            <input type="number" class="form-control" name="qtyitem" id="field_qtyitem"
                [(ngModel)]="detailKlaim.qtyitem"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.satuan" for="field_satuan">Satuan</label>
            <input type="text" class="form-control" name="satuan" id="field_satuan"
                [(ngModel)]="detailKlaim.satuan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.no_klaimDist" for="field_no_klaimDist">No Klaim Dist</label>
            <input type="text" class="form-control" name="no_klaimDist" id="field_no_klaimDist"
                [(ngModel)]="detailKlaim.no_klaimDist"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.no_klaimDist1" for="field_no_klaimDist1">No Klaim Dist 1</label>
            <input type="text" class="form-control" name="no_klaimDist1" id="field_no_klaimDist1"
                [(ngModel)]="detailKlaim.no_klaimDist1"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.tgl_klaimDist" for="field_tgl_klaimDist">Tgl Klaim Dist</label>
            <input type="text" class="form-control" name="tgl_klaimDist" id="field_tgl_klaimDist"
                [(ngModel)]="detailKlaim.tgl_klaimDist"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.bln_perDist" for="field_bln_perDist">Bln Per Dist</label>
            <input type="number" class="form-control" name="bln_perDist" id="field_bln_perDist"
                [(ngModel)]="detailKlaim.bln_perDist"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.thn_perDist" for="field_thn_perDist">Thn Per Dist</label>
            <input type="text" class="form-control" name="thn_perDist" id="field_thn_perDist"
                [(ngModel)]="detailKlaim.thn_perDist"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.sltr_num" for="field_sltr_num">Sltr Num</label>
            <input type="text" class="form-control" name="sltr_num" id="field_sltr_num"
                [(ngModel)]="detailKlaim.sltr_num"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.GIRO_CODE" for="field_GIRO_CODE">GIRO CODE</label>
            <input type="text" class="form-control" name="GIRO_CODE" id="field_GIRO_CODE"
                [(ngModel)]="detailKlaim.GIRO_CODE"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.qtyunit" for="field_qtyunit">Qtyunit</label>
            <input type="number" class="form-control" name="qtyunit" id="field_qtyunit"
                [(ngModel)]="detailKlaim.qtyunit"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.giro_unit" for="field_giro_unit">Giro Unit</label>
            <input type="number" class="form-control" name="giro_unit" id="field_giro_unit"
                [(ngModel)]="detailKlaim.giro_unit"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.UserAPPV" for="field_UserAPPV">User APPV</label>
            <input type="text" class="form-control" name="UserAPPV" id="field_UserAPPV"
                [(ngModel)]="detailKlaim.UserAPPV"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.UserAPPV2" for="field_UserAPPV2">User APPV 2</label>
            <input type="text" class="form-control" name="UserAPPV2" id="field_UserAPPV2"
                [(ngModel)]="detailKlaim.UserAPPV2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.UserAPPV3" for="field_UserAPPV3">User APPV 3</label>
            <input type="text" class="form-control" name="UserAPPV3" id="field_UserAPPV3"
                [(ngModel)]="detailKlaim.UserAPPV3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.stsAPPV" for="field_stsAPPV">Sts APPV</label>
            <input type="text" class="form-control" name="stsAPPV" id="field_stsAPPV"
                [(ngModel)]="detailKlaim.stsAPPV"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.stsAPPV2" for="field_stsAPPV2">Sts APPV 2</label>
            <input type="text" class="form-control" name="stsAPPV2" id="field_stsAPPV2"
                [(ngModel)]="detailKlaim.stsAPPV2"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.stsAPPV3" for="field_stsAPPV3">Sts APPV 3</label>
            <input type="text" class="form-control" name="stsAPPV3" id="field_stsAPPV3"
                [(ngModel)]="detailKlaim.stsAPPV3"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailKlaim.ketbns" for="field_ketbns">Ketbns</label>
            <input type="text" class="form-control" name="ketbns" id="field_ketbns"
                [(ngModel)]="detailKlaim.ketbns"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
